Create an RBS volume
POST/v1/remote_block_storage/volumes
A POST request to the /v1/remote_block_storage/volumes endpoint will create an RBS volume with parameters specified in the request body.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
| Field | Details |
|---|---|
name | stringGive a name to the volume. |
size | integerMin: Volume size in GB. |
location_id | integerA unique identifier of a location. A request to list all the location IDs is described in the Location section. |
flavor_id | integerA unique identifier of a flavor. To list all IDs, use this request. |
labels? | objectSpecify labels you want to attach to the resource. Refer to the Labels section for more details. |
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/remote_block_storage/volumes" \ -H "Content-Type: application/json" \ -d '{ "name": "new volume name", "location_id": 229, "flavor_id": 530, "size": 100, "labels": { "env": "production" } }'{ "id": "GRb41dBL", "name": "new volume name", "size": 100, "status": "creating", "location_id": 229, "location_code": "AMS229", "flavor_id": 530, "flavor_name": "RBS Flavor name286", "iops": 4900, "bandwidth": 8300, "labels": { "env": "production" }, "ip_address": null, "target_iqn": null, "created_at": "2026-05-28T06:56:34.074Z", "updated_at": "2026-05-28T06:56:34.073Z"}